#
# zadolbator: simple reminder component for Jabber service
#
# Copyright (C) 2007 Alexander Tsvyashchenko
#
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU
# General Public License as published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program; if not,
# write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

require 'rubygems'
gem 'activerecord'
require 'active_record'

module Storage

  def Storage.init_connection(db_adapter, db_name)
    ActiveRecord::Base.establish_connection(
      "adapter" => db_adapter,
      "database" => db_name)
  end

  class User < ActiveRecord::Base
    has_and_belongs_to_many :events
  end

  class Event < ActiveRecord::Base
    has_and_belongs_to_many :users
    belongs_to :owner, :class_name => "User", :foreign_key => "owner_id"
  end

  class Events_Users < ActiveRecord::Base
    has_one :user
    has_one :event
  end
end
